/**
* The class responsible for loading the form
* This may be initiated from the command line
* For example:
* <pre>
* java form.FormLoader [url]
* where url is the url of the form description file
* </pre>
* @author Randy Levensalor
* @version 2.0b1
* todo make applet
*/

package form;

import form.io.*;
import form.data.*;
import form.edit.*;
import java.applet.*;
import java.awt.*;
import java.io.*;
import java.util.*;
import java.net.*;

public class FormLoader extends Applet {// implements Serializable{

/**
* Object containing all data and is responsible for
* the 
*/
   private Viewer	  viewer		= null;

   public boolean edit = false;
   public boolean isApplet = false;

   /**
   * To initialize the applet
   */
   public void init(){
       isApplet = true;

	System.out.println("TRYING TO INIT");
       init(null,false);
   }
  
       
   public void init(String fileLocation,boolean edit){

      Applet a =null;
      Frame frame = null;
      Open open = null;

      this.edit = edit;
      Panel p = null;


      if (!isApplet){
	frame = new Frame("NPIB Creator");
	frame.setSize(600,600);
	p = new Panel();
	new WindowCloser(frame,true);
	frame.add(p);
	frame.setVisible(true);
	p.setVisible(true);
      }
      else {
         frame = ((Frame)this.getParent().getParent());
         p = this;
         a = this;
      }

      if (isApplet)
	open = new Open(a);
      else if (fileLocation != null) 
        open = new Open(fileLocation,frame);
	
      p.setLayout(new GridLayout(1,1));
      viewer  = new Viewer(edit,p,open,frame,a);
      p.validate();
   }
 

   public static void main(String[] args){
		    boolean edit= false;

	  String fileLocation = "";
	  if (args.length > 0){
		fileLocation = args[0];
		if (fileLocation.equals("-e")){
		   edit= true;
		   fileLocation = null;
		if (args.length > 1)
		   fileLocation = args[1];
	       }
	  }

	  new FormLoader(fileLocation,edit);
   }

	/**
	*@param Sting formDescriptor Either describes the form or the location of the 
	* descriptor file.  Currentaly only url's are accepted should be easy to add more
	* methods.  Possible add a different constructor to take BUffered Reader.
	**/
        public FormLoader (String fileLocation, boolean edit){
           init(fileLocation,edit);
        }
	
  /**
  * Null constructor so the applet works
  * not really used
  */
  public FormLoader(){}

}
