package form.io;

import form.data.*;
import java.io.*;
import java.util.*;

public class WriteFiles{


	public WriteFiles(String infile,String outDir){

		String input = ReadFiles.readFile(infile);
    	PrintWriter outStream = null;
    	String output = "";
		int next=1;
		String fname;


    	while (next >= 0){

			next = input.indexOf(FileData.NEWFILE);

			if (next < 0){
				System.out.println("No new file marker");
			}
			else{

				input = input.substring(FileData.NEWFILE.length());
			}
			next = input.indexOf("\n");

			fname = outDir+"/"+input.substring(0,next);

			input = input.substring(next+1);

			//closes old file if new one needed
			if (outStream != null)
				outStream.close();

			File f = new File(fname);

			try {
		   		outStream = new PrintWriter(new FileOutputStream(f),true);
			}catch (java.io.IOException e){ e.printStackTrace();}

			next = input.indexOf(FileData.NEWFILE);

			if (next >0){
				output = input.substring(0,next);
				input = input.substring(next);
			}
			else {
				output = input;
				input = "";
			}
			outStream.print(output);
		}
		System.err.println("Closing outStream");
		outStream.close();

	}

}
